# Participant Agreement

This Participant Agreement (“Agreement”) is a contract between you (“You/Your” or “Participant”) and THE REGENTS OF THE UNIVERSITY OF COLORADO, a body corporate, acting on behalf of the University of Colorado Boulder, a public institution of higher education created under the Constitution and the Law of the State of Colorado (the “University”), having offices located at 3100 Marine Street, Boulder, CO 80309.

In consideration of Your participation in the Forest Carbon Codefest (the “Codefest”), the sufficiency of which is hereby acknowledged, You agree as follows:

Environmental Data Science Innovation & Inclusion Lab (“ESIIL”) is a National Science Foundation (“NSF”) funded data synthesis center led by the University. Earth Lab is part of the Cooperative Institute for Research in Environmental Sciences (CIRES) specializing in data-intensive open, reproducible environmental science. Earth Lab and ESIIL will co-host the Codefest in person from March 12 through March 14, 2023.

## Codefest Description

The Codefest aims to use big data to understand aboveground forest carbon dynamics. It brings together environmental scientists, data analysts, and forest experts from academia, non-profits, and the private sector under one roof to collaborate and provide solutions to on-the-ground needs in a respectful and inclusive environment. The Codefest provides resources to address environmental challenges, such as participation in training on Environmental Data Science and cyberinfrastructure. You will work on a cloud-based, highly secure platform that allows for the seamless integration of data sets and analytical tools. The Codefest encourages individuals participating to create a solution in the form of a research project, computer code, and models (individually and/or collectively, a “Solution”).

## How to Participate

You will join a team of environmental scientists, data experts, and coders to explore curated data, consider the objectivity of the data, propose a scientific question that can be addressed with all or some of the data sets, and analyze the data in an attempt to answer your scientific question by the end of the event. You will present your Solution to the event community. Earth Lab and ESIIL will provide environmental data, cyberinfrastructure, cyberinfrastructure and data analytics training, and technical support. The team members of the winning Solution will receive a small monetary award. Details regarding how the winning Solution will be chosen and how the prize will be managed are outlined in the Official Rules for the Codefest (“Official Rules”).

## Representations and Warranties

By and through Your participation in the Codefest, You represent and warrant the following:

- You have read, understand, and agree to abide by the Code of Conduct and Respectful Inclusive Collaboration Guidelines for the Forest Carbon Codefest (“Code of Conduct”) and the Official Rules.
- Any decisions concerning the Code of Conduct, Official Rules, or any other matter relating to this Codefest by the University is final and binding on all Participants.

# Codefest Assets

## 5.1 Access and Use
By participating in the Codefest, You may receive access to certain datasets, webinars, and/or other copyrighted materials (collectively, the “Codefest Assets”). You agree to follow all licenses, restrictions, and other instructions provided to You with the Codefest Assets.

## 5.2 Disclaimer
The Codefest Assets are provided “as is” without warranty of any kind, either express or implied, including, without limitation, any implied warranties of merchantability and fitness for a particular purpose. Without limiting the foregoing, the University does not warrant that the Materials will be suitable for Your Solution or that the operation or supply of the Codefest Assets will be uninterrupted or error free.

## 5.3 Restrictions
You agree not to access or use the Codefest Assets in a manner that may interfere with any other participants’ or users’ use of such assets, unless provided with express written consent by the University. Your access to and use of the Codefest Assets may be limited, throttled, or terminated at any time at the sole discretion of the University.

# Intellectual Property

For purposes of this Agreement, “Intellectual Property” includes all copyright, patent, trademark, trade secret and other intellectual property rights.

## 6.1 Solution Publication
You agree to make Your Solution publicly available in GitHub under the MIT open-source license within five (5) months from the end of the Codefest.

## 6.2 Government Rights
In consideration of the funding provided by NSF for the Codefest, You hereby grant and agree to grant to the U.S. Government (i) a nonexclusive, non-transferable, irrevocable, royalty-free license to exercise or have exercised for or on behalf of the U.S. throughout the world all the exclusive rights provided by copyright in any copyrightable intellectual property that You create during the Codefest and (ii) a nonexclusive, non-transferable, irrevocable, paid-up license to practice, or have practiced for or on its behalf, any invention created by You during the Codefest throughout the world.

## 6.3 NSF Agreement and Invention Ownership
You acknowledge that the Codefest is subject to NSF’s Cooperative Agreement Terms and Conditions effective May 12, 2023. As such, the U.S. Government may be entitled to own any invention that You create during the Codefest as further outlined within 37 CFR 401 and the NSF Proposal & Award Policies and Procedures Guide. In such event, You agree to assign any invention created by You during the Codefest to the U.S. Government and to reasonably cooperate with the University and NSF to accomplish the same.

## 6.4 Representations and Warranties
You represent and warrant that You are legally entitled to grant the above licenses and other intellectual property rights as outlined in Sections 6.1, 6.2, and 6.3. If You are an individual, and if Your employer(s) and/or another third party has rights to Intellectual Property that You create that includes Your Solution, You represent that You have received permission to participate in the Codefest on behalf of that employer or third party and that Your employer or the third party has waived such rights for Your contributions.

## 6.5 Originality and Third-Party Materials
You represent that Your Solution is Your original creation. If you obtain permission under Section 6.5 to include third-party materials, You represent that Your Solution includes complete details of any third-party license or other restriction (including, but not limited to, related patents and trademarks) of which You are aware and which are associated with any part of Your Solution. You represent and warrant that You will not submit any materials to the University that You know or believe to have components that are malicious or harmful. You represent that You will perform a reasonable amount of due diligence in order to be properly informed of third-party licenses, infringing materials, or harmful content associated with any part of Your Solution.

## 6.6 Submission of External Work
Should You wish to submit work that is not Your original creation during the Codefest (and that is not a Codefest Asset), You may ask for permission from the University to incorporate such work into Your Solution. To request such permission, identify the complete details of the materials you wish to use, including any licenses or other restrictions (including, but not limited to, related patents, trademarks, and license agreements) of which You are personally aware. Request for permission to add materials created outside of the Codefest must be submitted in advance of the Codefest to: Tyler McIntosh; [tyler.l.mcintosh@colorado.edu](mailto:tyler.l.mcintosh@colorado.edu).

## 6.7 Notification of Changes
You agree to notify the University of any facts or circumstances of which You become aware that would make these representations inaccurate in any respect. You agree to notify the University of any administrative or court proceeding which involve Your Solution.

# Limitation of Liability

TO THE EXTENT ALLOWED BY LAW, IN NO EVENT SHALL THE UNIVERSITY, ITS PARTNERS, LICENSORS, SERVICE PROVIDERS, OR ANY OF THEIR RESPECTIVE OFFICERS, DIRECTORS, AGENTS, EMPLOYEES OR REPRESENTATIVES, BE LIABLE FOR DIRECT, INCIDENTAL, CONSEQUENTIAL, EXEMPLARY OR PUNITIVE DAMAGES ARISING OUT OF OR IN CONNECTION WITH THE HACKATHON OR THIS AGREEMENT (HOWEVER ARISING, INCLUDING NEGLIGENCE). IF YOU HAVE A DISPUTE WITH ANY PARTICIPANT OR ANY OTHER THIRD PARTY, YOU RELEASE THE UNIVERSITY, ITS, PARTNERS, LICENSORS, AND SERVICE PROVIDERS, AND EACH OF THEIR RESPECTIVE OFFICERS, DIRECTORS, AGENTS, EMPLOYEES AND REPRESENTATIVES FROM ANY AND ALL CLAIMS, DEMANDS AND DAMAGES (ACTUAL AND CONSEQUENTIAL) OF EVERY KIND AND NATURE ARISING OUT OF OR IN ANY WAY CONNECTED WITH SUCH DISPUTES. YOU AGREE THAT ANY CLAIMS AGAINST UNIVERSITY ARISING OUT OF THE HACKATHON OR THIS AGREEMENT MUST BE FILED WITHIN ONE YEAR AFTER SUCH CLAIM AROSE; OTHERWISE, YOUR CLAIM IS PERMANENTLY BARRED.

# Not an Offer or Contract of Employment

Under no circumstances will Your participation in the Codefest or anything in this Agreement be construed as an offer or contract of employment with the University.

# Additional Terms

- You must be at least eighteen (18) years of age to participate in the Codefest. The Codefest is subject to applicable federal, state, and local laws.
- The University reserves the right to permanently disqualify any person from the Codefest that it reasonably believes has violated this Agreement, the Code of Conduct, and/or the Official Rules.
- Any attempt to deliberately damage the Codefest or the operation thereof is unlawful and subject to legal action by the University, which may seek damages to the fullest extent permitted by law.
- The University assumes no responsibility for any injury or damage to Your or any other person’s computer relating to or resulting from entering or downloading materials or software in connection with the Codefest. 
- The University is not responsible for telecommunications, network, electronic, technical, or computer failures of any kind; for inaccurate transcription of entry information; for any human or electronic error; or for Solutions that are stolen, misdirected, garbled, delayed, lost, late, damaged, or returned.
- The University reserves the right to cancel, modify, or suspend the Codefest or any element thereof (including, without limitation, this Agreement) without notice in any manner and for any reason (including, without limitation, in the event of any unanticipated occurrence that is not fully addressed in this Agreement).
- The University may prohibit any person from participating in the Codefest, if such person shows a disregard for this Agreement; acts with an intent to annoy, abuse, threaten, or harass any other entrant or any agents or representatives of the University (or any associated, partners, licensors, or service providers for the University); or behaves in any other disruptive manner (as determined by the University in its sole discretion).
- Nothing contained in this Agreement shall be construed as an express or implied waiver by University of its governmental immunity or of the governmental immunity of the State of Colorado.
- Your Solutions shall not contain any item(s) that are either export-controlled under the International Traffic in Arms Regulations, or that appear on the Commerce Control List (except as EAR99) of the Export Administration Regulations.

# Dispute Resolution

This Agreement and the Codefest shall be governed and construed in accordance with and governed by the laws of the state of Colorado without giving effect to conflict of law provisions.

# Entire Agreement

This Agreement, along with the Official Rules, and the Event Code of Conduct, constitutes the entire agreement between the University and You with respect to the Codefest and supersedes all previous or contemporaneous oral or written agreements concerning the Codefest. In the event of a conflict between this Agreement, the Official Rules and/or the Event Code of Conduct, the conflict shall be resolved with the following order of precedence:

1. This Agreement
2. The Official Rules
3. The Event Code of Conduct

# Severability

The invalidity, illegality, or unenforceability of any one or more phrases, sentences, clauses, or sections in this Agreement does not affect the remaining portions of this Agreement.

If you have questions about the Codefest, please contact Tyler McIntosh at [tyler.l.mcintosh@colorado.edu](mailto:tyler.l.mcintosh@colorado.edu).
